E-File Magic

Authorization & tokens

Get or refresh a token

Exchange an authorization code, rotate a refresh token, or issue a service token using client credentials.

POST
/oauth/token
Authentication
OAuth protocol client authentication
Required scopes
See authentication requirements
Idempotency key
Not required

Errors to handle

Use the returned status and code to decide what to correct or retry.

400invalid_request | invalid_grant | invalid_scope | unsupported_grant_type | invalid_dpop_proof
401invalid_client
503temporarily_unavailable